:root {
  --violet: hsl(257, 27%, 26%);
  --white: #ffffff;
  --cyan: hsl(180, 66%, 49%);
  --darkViolet: hsl(260, 8%, 14%);
  --darkBlue: hsl(255, 11%, 22%);
  --grayViolet: hsl(257, 7%, 63%);
  --red: hsl(0, 87%, 67%);
  --gray: hsl(0, 0%, 96%);
}

.section-3 {
  background-color: var(--violet);
}

.section-2 {
  z-index: 1;
}

.section-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 2rem 0rem;
}

.section-2-container {
  padding: 2rem 0rem;
  display: flex;
}

.section-2-text {
  font-size: 3rem;
  font-weight: 700;
  color: var(--violet);
  flex: 1;
  margin: 1rem 0rem;
}

.section-2-sub-text {
  font-size: 0.8rem;
  margin: 0.2rem 0rem;
  /* color: var(--gray); */
}

.section-2-image {
  flex: 1;
}

.text-primary {
  color: var(--white);
  font-size: 2rem;
  font-weight: 700;
  margin: 1rem 0rem;
}

.text-center {
  text-align: center;
}
.text-secondary {
  color: var(--violet);
  font-weight: 700;
  font-size: 1.5rem;
  margin: 1rem 0rem;
}

.section-button {
  padding: 0.6rem 2rem;
  font-weight: 700;
}

.section-4 {
  background-color: var(--gray);
  padding-bottom: 5rem;
}

.text-tertiary {
  line-height: 1.5;
}

.section-card-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.section-card {
  background: white;
  box-shadow: 5px 5px 25px 0 rgb(46 61 73 / 20%);
  flex: 1;
  margin: 0rem 1rem;
  padding: 1rem;
  border-radius: 0.2rem;
}

.section-card-2 {
  top: 25px;
  position: relative;
}

.section-card-2 ::before {
  content: "";
  position: absolute;
  bottom: 50%;
  left: -32px;
  width: 32px;
  height: 8px;
  background: var(--cyan);
}

.section-card-2 ::after {
  content: "";
  position: absolute;
  bottom: 50%;
  right: -32px;
  width: 32px;
  height: 8px;
  background: var(--cyan);
}

.section-card-3 {
  top: 50px;
  position: relative;
}

.card-title {
  font-size: 1.5rem;
  color: var(--violet);
  font-weight: 700;
  margin: 1rem 0rem;
}

.card-description {
  font-size: 0.8rem;
  line-height: 1.5;
}


@media only screen and (max-width: 600px) {
  .section-card-container{
    flex-direction: column;
  }
  .section-card-2 ::after {
    display: none;
  }
  .section-card-2 ::before {
    display: none;
  }
  .section-2-container{
    flex-direction: column;
    align-items: center;
  }
  .section-2-text{
    font-size: 2rem;
    text-align: center;
  }
  .section-2-sub-text{
    font-size: 0.8rem;
    margin: 1rem 0rem;
    text-align: center;
  }
}
